// packageH/stock/_module_components/order_item/order_item.js
Component({
  properties: {
    data: {
      type: Object,
      default: null,
    },
  },

  lifetimes: {
    attached() {
      const parentData = this.data.data;
      parentData["award_amount"] = parseFloat(
        parentData["award_amount"]
      ).toFixed(2);
      this.setData({
        data: parentData,
      });
    },
  },
});
